﻿using KB8467_SampleApp1.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace KB8467_SampleApp1
{
    internal class MainWindowViewModel
    {
        public List<SampleDataItem> SampleData { get; set; }

        public int Total
        {
            get { return SampleData.Sum(item => item.Value); }
        }


        public MainWindowViewModel()
        {
            SampleData = new List<SampleDataItem>();
            SampleData.Add(new SampleDataItem() { DisplayText = "とても興味がある", Value = 12 });
            SampleData.Add(new SampleDataItem() { DisplayText = "興味がある", Value = 26 });
            SampleData.Add(new SampleDataItem() { DisplayText = "普通", Value = 20 });
            SampleData.Add(new SampleDataItem() { DisplayText = "あまり興味がない", Value = 17 });
            SampleData.Add(new SampleDataItem() { DisplayText = "まったく興味がない", Value = 10 });
        }
    }
}
