﻿using KB8467_SampleApp1.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace KB8467_SampleApp1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void xamPieChart1_FormatLabel(object sender, Infragistics.Controls.Charts.PieChartFormatLabelEventArgs args)
        {
            // 合計値を取得する。
            int total = ((MainWindowViewModel)DataContext).Total;

            // このラベルに紐づいているデータを取り出す。
            SampleDataItem dataItem = (SampleDataItem)(args.Item.Item);

            // 割合を計算する。
            double rate = (double)(dataItem.Value) / (double)total;

            // ラベルとしてパーセント値を指定する。
            args.Label = rate.ToString("P1");
        }

        private void xamPieChart1_FormatLegendLabel(object sender, Infragistics.Controls.Charts.PieChartFormatLabelEventArgs args)
        {
            // このラベルに紐づいているデータを取り出す。
            SampleDataItem dataItem = (SampleDataItem)(args.Item.Item);

            // ラベルとしてもともとのラベルを指定する。
            args.Label = dataItem.DisplayText;
        }
    }
}
